from fastapi import APIRouter

from app.api.routes import (
    auth,
    dashboard,
    document_archives,
    equipment,
    finance,
    inventory,
    master_data,
    planning,
    production,
    purchase,
    quality,
    returns,
    sales,
    system,
    system_extension,
    system_permissions,
)

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["auth"])
api_router.include_router(document_archives.router, prefix="/document-archives", tags=["document-archives"])
api_router.include_router(system.router, prefix="/system", tags=["system"])
api_router.include_router(system_extension.router, prefix="/system-extension", tags=["system-extension"])
api_router.include_router(system_permissions.router, prefix="/system-permissions", tags=["system-permissions"])
api_router.include_router(dashboard.router, prefix="/dashboard", tags=["dashboard"])
api_router.include_router(master_data.router, prefix="/master-data", tags=["master-data"])
api_router.include_router(sales.router, prefix="/sales", tags=["orders-customers"])
api_router.include_router(planning.router, prefix="/planning", tags=["planning"])
api_router.include_router(purchase.router, prefix="/purchase", tags=["purchase"])
api_router.include_router(inventory.router, prefix="/inventory", tags=["inventory"])
api_router.include_router(production.router, prefix="/production", tags=["production"])
api_router.include_router(equipment.router, prefix="/equipment", tags=["equipment"])
api_router.include_router(quality.router, prefix="/quality", tags=["quality"])
api_router.include_router(returns.router, prefix="/returns", tags=["returns"])
api_router.include_router(finance.router, prefix="/finance", tags=["finance"])
